lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'legion/extensions/version'

Gem::Specification.new do |spec|
  spec.name          = 'legion-extensions'
  spec.version       = Legion::Extensions::VERSION
  spec.authors       = ['Miverson']
  spec.email         = ['matthewdiverson@gmail.com']

  spec.summary       = 'Base Legion Extension Library'
  spec.description   = 'Used by a LEX to integrate with Legion'
  spec.homepage      = 'https://bitbucket.org/legion-io/legion-extensions'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'legion-exceptions'
  spec.add_development_dependency 'legion-logging'
  spec.add_development_dependency 'legion-settings'
  spec.add_development_dependency 'legion-transport'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_dependency 'celluloid'
end
